Retrieve Consent Status

Retrieves the consent verification status for a User based on the provided Access Token and event.

GET
/identity/v2/auth/consent/verify

Retrieves the consent verification status for a User based on the provided Access Token and event.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

event*string

Event type to filter consent verification (e.g., login).

iscustom*boolean

This field value is used to filter the consent verification by custom events. The iscustom value should be a boolean. If true, it filters for custom events; if false, it filters for standard events.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/consent/verify?access_token=493318dd-487a-439b-8302-5e27f1110244&event=login&iscustom=true"
{
  "ConsentProfile": {
    "AcceptedConsentVersions": [
      {
        "IsCustom": true,
        "Version": 1,
        "Event": "newsletter_signup"
      }
    ],
    "Consents": [
      {
        "ConsentOptionId": "123e4567e89b12d3a456426614174000",
        "AcceptOnDate": "2023-10-01T12:00:00Z"
      }
    ]
  },
  "IsValid": true
}

{
  "Description": "Unable to retrieve token configuration for the specified app.",
  "ErrorCode": 2017,
  "Message": "Request is invalid"
}

{
  "ErrorCode": 1227,
  "Message": "Consent Management is not enabled.",
  "Description": "Consent Management is not enabled, please reach out to LoginRadius support for more information."
}